Last Comment Bug 760443 - IonMonkey: Assertion failure: ShiftAmount == imm, at ion/arm/Assembler-arm.h:555
: IonMonkey: Assertion failure: ShiftAmount == imm, at ion/arm/Assembler-arm.h:555
Status: RESOLVED FIXED
: assertion, testcase
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Other Branch
: ARM Linux
: -- major (vote)
: ---
Assigned To: general
:
Mentors:
Depends on:
Blocks: langfuzz IonFuzz
  Show dependency treegraph
 
Reported: 2012-06-01 07:22 PDT by Christian Holler (:decoder)
Modified: 2012-07-02 14:45 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
/home/mrosenberg/patches/fixShiftOverflow-r0.patch (1.25 KB, patch)
2012-06-09 06:53 PDT, Marty Rosenberg [:mjrosenb]
Jacob.Bramley: review+
Details | Diff | Review

Description Christian Holler (:decoder) 2012-06-01 07:22:06 PDT
The following testcase asserts on ionmonkey-arm (private branch) revision  (run with --ion -n -m --ion-eager):


var t = ((t >= 0x0451 && t <= 0x045C) + 25) % (-1);
Comment 1 Marty Rosenberg [:mjrosenb] 2012-06-09 06:53:54 PDT
Created attachment 631661 [details] [diff] [review]
/home/mrosenberg/patches/fixShiftOverflow-r0.patch

Had an off by one error in the bounds checking on a shift operation.
Comment 2 Marty Rosenberg [:mjrosenb] 2012-07-02 14:45:14 PDT
landed + fixed: http://hg.mozilla.org/projects/ionmonkey/rev/359c4084a25e

Note You need to log in before you can comment on or make changes to this bug.